package com.chenyang.nse.bussiness.entity.vo;

public class DBTableVO implements Comparable<DBTableVO> {
   private String datasystemid;
   private String schema;
   private String tablename;
   private String status;

   public DBTableVO() {
   }

   public DBTableVO(String datasystemid, String schema, String tablename, String status) {
      this.datasystemid = datasystemid;
      this.schema = schema;
      this.tablename = tablename;
      this.status = status;
   }

   public String getDatasystemid() {
      return this.datasystemid;
   }

   public void setDatasystemid(String datasystemid) {
      this.datasystemid = datasystemid;
   }

   public String getSchema() {
      return this.schema;
   }

   public void setSchema(String schema) {
      this.schema = schema;
   }

   public String getTablename() {
      return this.tablename;
   }

   public void setTablename(String tablename) {
      this.tablename = tablename;
   }

   public String getStatus() {
      return this.status;
   }

   public void setStatus(String status) {
      this.status = status;
   }

   public String toString() {
      return "DBTableVO [datasystemid=" + this.datasystemid + ", schema=" + this.schema + ", tablename=" + this.tablename + ", status=\" + status + \"]";
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.datasystemid == null ? 0 : this.datasystemid.hashCode());
      result = 31 * result + (this.schema == null ? 0 : this.schema.hashCode());
      result = 31 * result + (this.status == null ? 0 : this.status.hashCode());
      result = 31 * result + (this.tablename == null ? 0 : this.tablename.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         DBTableVO other = (DBTableVO)obj;
         if (this.datasystemid == null) {
            if (other.datasystemid != null) {
               return false;
            }
         } else if (!this.datasystemid.equals(other.datasystemid)) {
            return false;
         }

         if (this.schema == null) {
            if (other.schema != null) {
               return false;
            }
         } else if (!this.schema.equals(other.schema)) {
            return false;
         }

         if (this.status == null) {
            if (other.status != null) {
               return false;
            }
         } else if (!this.status.equals(other.status)) {
            return false;
         }

         if (this.tablename == null) {
            if (other.tablename != null) {
               return false;
            }
         } else if (!this.tablename.equals(other.tablename)) {
            return false;
         }

         return true;
      }
   }

   public int compareTo(DBTableVO v) {
      return this.getTablename().compareTo(v.getTablename());
   }
}
